[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [PATCH 1/2] Remove things from scripts/ that lorax obsoletes.



Chris Lumens (clumens redhat com) said: 
>  16 files changed, 3 insertions(+), 3732 deletions(-)

And then...

commit 4d024b0729840fe96ca1bc970b6b5afe21fbf3ac
Author: Bill Nottingham <notting redhat com>
Date:   Wed Jun 29 10:58:18 2011 -0400

    Remove obsolete requirements.

diff --git a/anaconda.spec.in b/anaconda.spec.in
index 9e04720..3d6703a 100644
--- a/anaconda.spec.in
+++ b/anaconda.spec.in
@@ -39,8 +39,6 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 %define e2fsver 1.41.0
 %define nmver 1:0.7.1-3.git20090414
 %define dbusver 1.2.3
-%define createrepover 0.4.7
-%define yumutilsver 1.1.11-3
 %define iscsiver 6.2.0.870-3
 %define pythoncryptsetupver 0.1.1
 %define mehver 0.8
@@ -135,7 +133,6 @@ Requires: tigervnc-server-minimal
 Requires: usermode
 Requires: zenity
 %endif
-Requires: createrepo >= %{createrepover}
 Requires: squashfs-tools
 Requires: genisoimage >= %{genisoimagever}
 Requires: GConf2 >= %{gconfversion}
@@ -148,15 +145,11 @@ Requires: device-mapper
 Requires: openssh
 %endif
 Requires: isomd5sum
-Requires: yum-utils >= %{yumutilsver}
 Requires: NetworkManager >= %{nmver}
 Requires: dhclient
 Requires: anaconda-yum-plugins
 Requires: libselinux-python >= %{libselinuxver}
 Requires: fcoe-utils >= %{fcoeutilsver}
-%ifarch %{sparc}
-Requires: elftoaout piggyback
-%endif
 Obsoletes: anaconda-images <= 10
 Provides: anaconda-images = %{version}-%{release}
 Obsoletes: anaconda-runtime < %{version}-%{release}

You could remove more that are only used in upd-bootiso, if desired.

Bill


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]